%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           sahara-image-elements
Epoch:          1
Version:        6.0.0
Release:        8%{?dist}
Summary:        Image creation tools for Openstack Sahara

License:        ASL 2.0
URL:            https://launchpad.net/sahara
Source0:        https://tarballs.openstack.org/sahara-image-elements/sahara-image-elements-%{version}%{?milestone}.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=76e82241364958c815646efb3c6e766678396d9a
#
Patch0001: 0001-Changing-plugin-support-matrix-and-rhel7-support.patch
Patch0002: 0002-Initialize-iptables-before-save.patch
Patch0003: 0003-Adding-fuse-package-to-Ambari.patch
Patch0004: 0004-Preload-soci-mysql-and-soci-on-RHEL7-images.patch
Patch0005: 0005-Removing-CDH-5.5.patch
Patch0006: 0006-Fix-DIB_RELEASE-is-not-defined-on-CentOS.patch
Patch0007: 0007-Fix-permissions-on-45-epel-dependencies.sh.patch
Patch0008: 0008-MapR-5.1-remove-non-existing-version-of-hue.patch
Patch0009: 0009-mysql-fix-the-packages-mapping-on-RHEL7-mariadb.patch
Patch0010: 0010-Remove-.sh-suffix-from-45-epel-dependencies.sh.patch
Patch0011: 0011-Updated-from-global-requirements.patch
Patch0012: 0012-Fix-some-missed-rebase-changes-in-the-generation-wra.patch
Patch0013: 0013-MapR-do-not-match-all-if-a-specific-version-is-avail.patch
Patch0014: 0014-Updated-from-global-requirements.patch
Patch0015: 0015-dib-lint-adapt-the-value-of-ELEMENTS_DIR.patch

BuildArch:      noarch

BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: python-pbr >= 0.5.19

Requires: dib-utils
Requires: diskimage-builder >= 0.1.34-21
Requires: rsync
Requires: wget
Requires: qemu-kvm
Requires: qemu-img
Requires: kpartx
Requires: git

%description
Sahara-image-elements provides the ability to create the images necessary to generate data processing clusters
in Sahara.

%prep
%setup -q -n sahara-image-elements-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%files
%doc AUTHORS LICENSE ChangeLog
%{_bindir}/sahara-image-create
%{_bindir}/diskimage-create.sh
%{_datadir}/sahara-elements
%{python2_sitelib}/sahara_image_elements-%{upstream_version}-py?.?.egg-info
%attr(0755, -, -) %{_datadir}/sahara-elements/elements/hadoop-mapr/install.d/45-epel-dependencies

%changelog
* Wed Jun 21 2017 Jason Joyce <jjoyce@redhat.com> 1:6.0.0-8
- dib-lint: adapt the value of ELEMENTS_DIR
- MapR: do not match "all" if a specific version is available
- Merge "Remove .sh suffix from 45-epel-dependencies.sh" into rhos-11.0-patches
- Merge "mysql: fix the packages mapping on RHEL7 (mariadb)" into rhos-11.0-patches

* Wed Mar 29 2017 Telles Nobrega <tenobreg@redhat.com> 1:6.0.0-7
- Fix some missed rebase changes in the generation wrapper (rhbz#1434862)
- Updated from global requirements

* Mon Mar 27 2017 Telles Nobrega <tenobreg@redhat.com> 1:6.0.0-6
- Updated version to 6

* Mon Mar 27 2017 Telles Nobrega <tenobreg@redhat.com> 1:6.0.0-5
- Updated version to 5 and added fix on spec file to allow script to be executable

* Thu Mar 23 2017 Telles Nobrega <tenobreg@redhat.com> 1:6.0.0-4
- Remove .sh suffix from 45-epel-dependencies.sh
- mysql: fix the packages mapping on RHEL7 (mariadb) (rhbz#1434521)
- MapR 5.1: remove non-existing version of hue (rhbz#1434864)
- Fix permissions on 45-epel-dependencies.sh

* Fri Mar 03 2017 Elise Gafford <egafford@redhat.com> 1:6.0.0-3
- Fix: DIB_RELEASE is not defined on CentOS

* Mon Feb 27 2017 Jon Schlueter <jschluet@redhat.com> 1:6.0.0-2
- Removing CDH 5.5
- Preload soci-mysql and soci on RHEL7 images (rhbz#1393956)
- Adding fuse package to Ambari
- Initialize iptables before save (rhbz#1286276)
- Changing plugin support matrix and rhel7 support

* Wed Feb 22 2017 Alfredo Moralejo <amoralej@redhat.com> 1:6.0.0-1
- Update to 6.0.0

* Fri Feb 10 2017 Alfredo Moralejo <amoralej@redhat.com> 1:6.0.0-0.1.0rc1
- Update to 6.0.0.0rc1

